diff -urN ircd-ratbox-1.2-3/include/client.h ircd-ratbox-1.2-3-next/include/client.h
--- ircd-ratbox-1.2-3/include/client.h	Tue Aug  5 18:07:08 2003
+++ ircd-ratbox-1.2-3-next/include/client.h	Mon Sep 29 13:13:32 2003
@@ -381,6 +381,7 @@
 /* user information flags, only settable by remote mode or local oper */
 #define UMODE_OPER         0x20000	/* Operator */
 #define UMODE_ADMIN        0x40000	/* Admin on server */
+#define UMODE_UNIDLE	   0x80000	/* oper idle hack */
 
 #define UMODE_ALL	   UMODE_SERVNOTICE
 
@@ -423,7 +424,7 @@
                       UMODE_REJ | UMODE_SKILL | UMODE_FULL | UMODE_SPY | \
                       UMODE_NCHANGE | UMODE_OPERWALL | UMODE_DEBUG | \
                       UMODE_BOTS | UMODE_EXTERNAL | UMODE_LOCOPS | \
- 		      UMODE_ADMIN | UMODE_UNAUTH | UMODE_CALLERID | UMODE_OPERSPY)
+ 		      UMODE_ADMIN | UMODE_UNAUTH | UMODE_CALLERID | UMODE_OPERSPY | UMODE_UNIDLE)
 
 #define FLAGS_ID     (FLAGS_NEEDID | FLAGS_GOTID)
 
diff -urN ircd-ratbox-1.2-3/modules/core/m_message.c ircd-ratbox-1.2-3-next/modules/core/m_message.c
--- ircd-ratbox-1.2-3/modules/core/m_message.c	Fri Jul 25 19:02:41 2003
+++ ircd-ratbox-1.2-3-next/modules/core/m_message.c	Mon Sep 29 13:30:32 2003
@@ -434,7 +434,7 @@
 	if(MyClient(source_p))
 	{
 		/* idle time shouldnt be reset by notices --fl */
-		if((p_or_n != NOTICE) && source_p->user)
+		if((p_or_n != NOTICE) && source_p->user && !(source_p->umodes & UMODE_UNIDLE))
 			source_p->user->last = CurrentTime;
 	}
 
@@ -483,7 +483,7 @@
 	if(MyClient(source_p))
 	{
 		/* idletime shouldnt be reset by notice --fl */
-		if((p_or_n != NOTICE) && source_p->user)
+		if((p_or_n != NOTICE) && source_p->user && !(source_p->umodes & UMODE_UNIDLE))
 			source_p->user->last = CurrentTime;
 
 		sendto_channel_local_butone(source_p, flags, chptr, ":%s!%s@%s %s %c%s :%s",
@@ -529,7 +529,7 @@
 	if(MyClient(source_p))
 	{
 		/* reset idle time for message if its not a notice */
-		if((p_or_n != NOTICE) && source_p->user)
+		if((p_or_n != NOTICE) && source_p->user && !(source_p->umodes & UMODE_UNIDLE))
 			source_p->user->last = CurrentTime;
 	}
 
diff -urN ircd-ratbox-1.2-3/src/s_user.c ircd-ratbox-1.2-3-next/src/s_user.c
--- ircd-ratbox-1.2-3/src/s_user.c	Sat Jul 19 06:44:52 2003
+++ ircd-ratbox-1.2-3-next/src/s_user.c	Mon Sep 29 13:19:50 2003
@@ -83,6 +83,7 @@
 	{UMODE_INVISIBLE, 'i'},
 	{UMODE_SKILL, 'k'},
 	{UMODE_LOCOPS, 'l'},
+	{UMODE_UNIDLE, 'L'},
 	{UMODE_NCHANGE, 'n'},
 	{UMODE_OPER, 'o'},
 	{UMODE_REJ, 'r'},
@@ -115,7 +116,7 @@
 	0,			/* I */
 	0,			/* J */
 	0,			/* K */
-	0,			/* L */
+	UMODE_UNIDLE,		/* L */
 	0,			/* M */
 	0,			/* N */
 	0,			/* O */
@@ -1053,7 +1054,12 @@
 				}
 				break;
 			}
-
+	if ((source_p->umodes & UMODE_UNIDLE) && !IsOper(source_p))
+	{
+		source_p->umodes &= ~UMODE_UNIDLE;
+		if (!(setflags & (UMODE_OPER|UMODE_LOCOPS))) badflag = YES;
+	}
+		
 	if(badflag)
 		sendto_one(source_p, form_str(ERR_UMODEUNKNOWNFLAG), me.name, parv[0]);
